---
title: HTMLTableElement.tFoot
slug: Web/API/HTMLTableElement/tFoot
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLTableElement.tFoot</code></strong> property represents the {{HTMLElement("tfoot")}} element of a {{HTMLElement("table")}}. Its value will be <code>null</code> if there is no such element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableSectionElementObject</em> = <em>table</em>.tFoot
<em>table</em>.tFoot = <em>HTMLTableSectionElementObject</em>
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">if (table.tFoot == my_foot) {
  // ...
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "tabular-data.html#dom-table-tfoot", "HTMLTableElement.tFoot")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "tabular-data.html#dom-table-tfoot", "HTMLTableElement.tFoot")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>No change from {{SpecName("DOM2 HTML")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-64197097', 'HTMLTableElement.tFoot')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-64197097', 'HTMLTableElement.tFoot')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<div>
<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.tFoot")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface implementing this property: {{domxref("HTMLTableElement")}}.</li>
</ul>
